Package org.opensaml.saml.saml2.core

# Interface BaseID

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `BaseIDImpl`, `BaseIDXSAnyAdapter`

public interface BaseID extends SAMLObject
SAML 2.0 Core BaseID.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`NAME_QUALIFIER_ATTRIB_NAME`
NameQualifier attribute name.
`static final String`
`SP_NAME_QUALIFIER_ATTRIB_NAME`
SPNameQualifier attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNameQualifier()`
Gets the NameQualifier value.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`void`
`setNameQualifier(String newNameQualifier)`
Sets the NameQualifier value.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NAME_QUALIFIER_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAME_QUALIFIER_ATTRIB_NAME
NameQualifier attribute name.

See Also:
  - Constant Field Values

### SP_NAME_QUALIFIER_ATTRIB_NAME

@Nonnull @NotEmpty static final String SP_NAME_QUALIFIER_ATTRIB_NAME
SPNameQualifier attribute name.

See Also:
  - Constant Field Values

## Method Details

### getNameQualifier

@Nullable String getNameQualifier()
Gets the NameQualifier value.

Returns:
  the NameQualifier value

### setNameQualifier

void setNameQualifier(@Nullable String newNameQualifier)
Sets the NameQualifier value.

Parameters:
  `newNameQualifier` - the NameQualifier value

### getSPNameQualifier

@Nullable String getSPNameQualifier()
Gets the SPNameQualifier value.

Returns:
  the SPNameQualifier value

### setSPNameQualifier

void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Parameters:
  `newSPNameQualifier` - the SPNameQualifier value